- NAME
- METHODS
  - LimitToActiveStatus
  - LimitCatalog
  - Limit
  - RoleLimit
- INTERNAL METHODS
  - AddRecord
- PRIVATE METHODS
  - _Init
  - _DoSearch
  - _DoCount

# NAME

RT::Assets - a collection of RT::Asset objects

# METHODS

Only additional methods or overridden behaviour beyond the RT::SearchBuilder (itself a DBIx::SearchBuilder) class are documented below.

## LimitToActiveStatus

## LimitCatalog

Limit Catalog

## Limit

Defaults CASESENSITIVE to 0

## RoleLimit

Re-uses the underlying JOIN, if possible.

# INTERNAL METHODS

Public methods which encapsulate implementation details. You shouldn't need to call these in normal code.

## AddRecord

Checks the RT::Asset is readable before adding it to the results

# PRIVATE METHODS

## _Init

Sets default ordering by Name ascending.

## _DoSearch

## _DoCount

Limits to non-deleted assets unless the `allow_deleted_search` flag is set.

← Back to index